edu.ucsb.nceas.metacat.clientview

## Class ClientView

- java.lang.Object
- - edu.ucsb.nceas.metacat.clientview.ClientView

- All Implemented Interfaces:
    java.io.Serializable

      public class ClientView
      extends java.lang.Object
      implements java.io.Serializable

  Description information for the ClientView bean.
  Author:
    Christopher Barteau
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLIENT_VIEW_BEAN`
    `static int` | `DELETE_MESSAGE`
    `static java.lang.String` | `ECOLOGICAL_METADATA_LANGUAGE`
    `static int` | `ERROR_MESSAGE`
    `static java.lang.String` | `FEDERAL_GEOGRAPHIC_DATA_COMMITTEE`
    `static int` | `FILE_NAME`
    `static int` | `FORMAT_TYPE`
    `static int` | `LOGIN_MESSAGE`
    `static int` | `REPLACE_MESSAGE`
    `static int` | `SELECT_MESSAGE`
    `static int` | `UPDATE_MESSAGE`
    `static int` | `UPLOAD_MESSAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientView()` Creates a new instance of ClientView

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()` Getter for property action.
    `java.lang.String` | `getAnyfield()` Getter for property anyField.
    `java.lang.String` | `getContentStandard()` Getter for property contentStandard.
    `java.lang.String[]` | `getDataFileName()` Getter for property dataFileNames.
    `java.lang.String` | `getDataFileName(int index)` Indexed getter for property dataFileNames.
    `java.lang.String` | `getDocId()` Getter for property docId.
    `java.lang.String[]` | `getMessage()` Getter for property message.
    `java.lang.String` | `getMessage(int index)` Indexed getter for property message.
    `java.lang.String` | `getMetaFileDocId()` Getter for property isMetaFileDocId.
    `java.lang.String` | `getMetaFileName()` Getter for property metaFileName.
    `java.lang.String` | `getOrganization()` Getter for property organization.
    `java.lang.String` | `getPassword()` Getter for property password.
    `java.lang.String` | `getPathExpr()` Getter for property pathExpr.
    `java.lang.String` | `getPathValue()` Getter for property pathValue.
    `java.lang.String` | `getQformat()` Getter for property qformat.
    `java.lang.String` | `getReturnfield()` Getter for property returnField.
    `java.lang.String` | `getSessionid()` Getter for property sessionId.
    `java.lang.String` | `getUsername()` Getter for property userName.
    `boolean` | `isPublicAccess()` Getter for property publicAccess.
    `void` | `setAction(java.lang.String action)` Setter for property action.
    `void` | `setAnyfield(java.lang.String anyfield)` Setter for property anyfield.
    `void` | `setContentStandard(java.lang.String contentStandard)` Setter for property contentStandard.
    `void` | `setDataFileName(int index, java.lang.String dataFileName)` Indexed setter for property dataFileName.
    `void` | `setDataFileName(java.lang.String[] dataFileName)` Setter for property dataFileName.
    `void` | `setDocId(java.lang.String docId)` Setter for property docId.
    `void` | `setMessage(int index, java.lang.String message)` Indexed setter for property message.
    `void` | `setMessage(java.lang.String[] message)` Setter for property message.
    `void` | `setMetaFileDocId(java.lang.String metaFileDocId)` Setter for property isMetaFileDocId.
    `void` | `setMetaFileName(java.lang.String metaFileName)` Setter for property metaFileName.
    `void` | `setOrganization(java.lang.String organization)` Setter for property organization.
    `void` | `setPassword(java.lang.String password)` Setter for property password.
    `void` | `setPathExpr(java.lang.String pathExpr)` Setter for property pathExpr.
    `void` | `setPathValue(java.lang.String pathValue)` Setter for property pathValue.
    `void` | `setPublicAccess(boolean publicAccess)` Setter for property publicAccess.
    `void` | `setQformat(java.lang.String qformat)` Setter for property qformat.
    `void` | `setReturnfield(java.lang.String returnfield)` Setter for property returnfield.
    `void` | `setSessionid(java.lang.String sessionid)` Setter for property sessionid.
    `void` | `setUsername(java.lang.String username)` Setter for property username.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_VIEW_BEAN

          public static final java.lang.String CLIENT_VIEW_BEAN

      See Also:
        Constant Field Values

    - #### ECOLOGICAL_METADATA_LANGUAGE

          public static final java.lang.String ECOLOGICAL_METADATA_LANGUAGE

      See Also:
        Constant Field Values

    - #### FEDERAL_GEOGRAPHIC_DATA_COMMITTEE

          public static final java.lang.String FEDERAL_GEOGRAPHIC_DATA_COMMITTEE

      See Also:
        Constant Field Values

    - #### LOGIN_MESSAGE

          public static final int LOGIN_MESSAGE

      See Also:
        Constant Field Values

    - #### UPLOAD_MESSAGE

          public static final int UPLOAD_MESSAGE

      See Also:
        Constant Field Values

    - #### DELETE_MESSAGE

          public static final int DELETE_MESSAGE

      See Also:
        Constant Field Values

    - #### SELECT_MESSAGE

          public static final int SELECT_MESSAGE

      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final int ERROR_MESSAGE

      See Also:
        Constant Field Values

    - #### REPLACE_MESSAGE

          public static final int REPLACE_MESSAGE

      See Also:
        Constant Field Values

    - #### UPDATE_MESSAGE

          public static final int UPDATE_MESSAGE

      See Also:
        Constant Field Values

    - #### FORMAT_TYPE

          public static final int FORMAT_TYPE

      See Also:
        Constant Field Values

    - #### FILE_NAME

          public static final int FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientView

          public ClientView()

      Creates a new instance of ClientView

  - ### Method Detail

    - #### getAction

          public java.lang.String getAction()

      Getter for property action.
      Returns:
        Value of property action.

    - #### setAction

          public void setAction(java.lang.String action)

      Setter for property action.
      Parameters:
        `action` - New value of property action.

    - #### getQformat

          public java.lang.String getQformat()

      Getter for property qformat.
      Returns:
        Value of property qformat.

    - #### setQformat

          public void setQformat(java.lang.String qformat)

      Setter for property qformat.
      Parameters:
        `qformat` - New value of property qformat.

    - #### getUsername

          public java.lang.String getUsername()

      Getter for property userName.
      Returns:
        Value of property userName.

    - #### setUsername

          public void setUsername(java.lang.String username)

      Setter for property username.
      Parameters:
        `username` - New value of property username.

    - #### getOrganization

          public java.lang.String getOrganization()

      Getter for property organization.
      Returns:
        Value of property organization.

    - #### setOrganization

          public void setOrganization(java.lang.String organization)

      Setter for property organization.
      Parameters:
        `organization` - New value of property organization.

    - #### getPassword

          public java.lang.String getPassword()

      Getter for property password.
      Returns:
        Value of property password.

    - #### setPassword

          public void setPassword(java.lang.String password)

      Setter for property password.
      Parameters:
        `password` - New value of property password.

    - #### getSessionid

          public java.lang.String getSessionid()

      Getter for property sessionId.
      Returns:
        Value of property sessionId.

    - #### setSessionid

          public void setSessionid(java.lang.String sessionid)

      Setter for property sessionid.
      Parameters:
        `sessionid` - New value of property sessionid.

    - #### getAnyfield

          public java.lang.String getAnyfield()

      Getter for property anyField.
      Returns:
        Value of property anyField.

    - #### setAnyfield

          public void setAnyfield(java.lang.String anyfield)

      Setter for property anyfield.
      Parameters:
        `anyfield` - New value of property anyfield.

    - #### getPathExpr

          public java.lang.String getPathExpr()

      Getter for property pathExpr.
      Returns:
        Value of property pathExpr.

    - #### setPathExpr

          public void setPathExpr(java.lang.String pathExpr)

      Setter for property pathExpr.
      Parameters:
        `pathExpr` - New value of property pathExpr.

    - #### getPathValue

          public java.lang.String getPathValue()

      Getter for property pathValue.
      Returns:
        Value of property pathValue.

    - #### setPathValue

          public void setPathValue(java.lang.String pathValue)

      Setter for property pathValue.
      Parameters:
        `pathValue` - New value of property pathValue.

    - #### getReturnfield

          public java.lang.String getReturnfield()

      Getter for property returnField.
      Returns:
        Value of property returnField.

    - #### setReturnfield

          public void setReturnfield(java.lang.String returnfield)

      Setter for property returnfield.
      Parameters:
        `returnfield` - New value of property returnField.

    - #### isPublicAccess

          public boolean isPublicAccess()

      Getter for property publicAccess.
      Returns:
        Value of property publicAccess.

    - #### setPublicAccess

          public void setPublicAccess(boolean publicAccess)

      Setter for property publicAccess.
      Parameters:
        `publicAccess` - New value of property publicAccess.

    - #### getMetaFileName

          public java.lang.String getMetaFileName()

      Getter for property metaFileName.
      Returns:
        Value of property metaFileName.

    - #### setMetaFileName

          public void setMetaFileName(java.lang.String metaFileName)

      Setter for property metaFileName.
      Parameters:
        `metaFileName` - New value of property metaFileName.

    - #### getDataFileName

          public java.lang.String getDataFileName(int index)

      Indexed getter for property dataFileNames.
      Parameters:
        `index` - Index of the property.
      Returns:
        Value of the property at `index`.

    - #### getDataFileName

          public java.lang.String[] getDataFileName()

      Getter for property dataFileNames.
      Returns:
        Value of property dataFileNames.

    - #### setDataFileName

          public void setDataFileName(int index,
                                      java.lang.String dataFileName)

      Indexed setter for property dataFileName.
      Parameters:
        `index` - Index of the property.
        `dataFileName` - New value of the property at `index`.

    - #### setDataFileName

          public void setDataFileName(java.lang.String[] dataFileName)

      Setter for property dataFileName.
      Parameters:
        `dataFileName` - New value of property dataFileName.

    - #### getDocId

          public java.lang.String getDocId()

      Getter for property docId.
      Returns:
        Value of property docId.

    - #### setDocId

          public void setDocId(java.lang.String docId)

      Setter for property docId.
      Parameters:
        `docId` - New value of property docId.

    - #### getMessage

          public java.lang.String getMessage(int index)

      Indexed getter for property message.
      Parameters:
        `index` - Index of the property.
      Returns:
        Value of the property at `index`.

    - #### getMessage

          public java.lang.String[] getMessage()

      Getter for property message.
      Returns:
        Value of property message.

    - #### setMessage

          public void setMessage(int index,
                                 java.lang.String message)

      Indexed setter for property message.
      Parameters:
        `index` - Index of the property.
        `message` - New value of the property at `index`.

    - #### setMessage

          public void setMessage(java.lang.String[] message)

      Setter for property message.
      Parameters:
        `message` - New value of property message.

    - #### getContentStandard

          public java.lang.String getContentStandard()

      Getter for property contentStandard.
      Returns:
        Value of property contentStandard.

    - #### setContentStandard

          public void setContentStandard(java.lang.String contentStandard)

      Setter for property contentStandard.
      Parameters:
        `contentStandard` - New value of property contentStandard.

    - #### getMetaFileDocId

          public java.lang.String getMetaFileDocId()

      Getter for property isMetaFileDocId.
      Returns:
        Value of property isMetaFileDocId.

    - #### setMetaFileDocId

          public void setMetaFileDocId(java.lang.String metaFileDocId)

      Setter for property isMetaFileDocId.
      Parameters:
        `isMetaFileDocId` - New value of property isMetaFileDocId.

Copyright © 2020 Regents of the University of California. All Rights Reserved.